Simulate (Sandbox)

POST /v0/customers/{customer_id}/onramp-transfer/simulate

Description: Simulate an action on an onramp transfer for a given customer.

Path parameters

  • customer_id (string · uuid) — Required The unique identifier of the customer

Header parameters

  • Authorization (string) — Required Token for authentication

Request body (application/json)

  • action (string · enum) — Required The action to simulate. Possible values: complete_transfer

  • transfer_id (string · uuid) — Required The ID of the transfer to simulate action on

Example request

HTTP
POST /v0/customers/{customer_id}/onramp-transfer/simulate HTTP/1.1
Host: gateway.noxxo.com
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "action": "complete_transfer",
  "transfer_id": "123e4567-e89b-12d3-a456-426614174000"
}

Responses

200 Successful simulation response (application/json)

Example response

Last updated